Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.catalog.service.query
Class CatalogQueryManagerImpl

    java.lang.Object
      |
      +--com.beasys.commerce.foundation.SessionImpl
            |
            +--com.beasys.commerce.ebusiness.catalog.service.CatalogServiceImpl
                  |
                  +--com.beasys.commerce.ebusiness.catalog.service.query.CatalogQueryManagerImpl

All Implemented Interfaces:
  EnterpriseBean, Serializable, SessionBean

public class CatalogQueryManagerImpl
extends CatalogServiceImpl

The implementation class for the `CatalogQueryManager` Session EJB. This implementation delegates to the service specifed by the following EJB environment property:

- `delegateName` - specifies the delegatory `CatalogQueryManager` service.

See Also:
  `CatalogQueryManager`, `CatalogQueryManagerHome`, `CatalogManager`, Serialized Form

Field Summary

Fields inherited from class com.beasys.commerce.ebusiness.catalog.service.CatalogServiceImpl
`CATALOG_MANAGER_HOME`

Fields inherited from class com.beasys.commerce.foundation.SessionImpl
`_ctx, _environmentNamingContext, _environmentPropertyCache, _isDirty`

Constructor Summary
`CatalogQueryManagerImpl()`

Method Summary
`void` | `ejbActivate()` ejbActivate method.
`void` | `ejbCreate()` ejbCreate method.
`void` | `ejbPassivate()` ejbPassivate method.
`void` | `ejbPostCreate()` ejbPostCreate method.
`void` | `ejbRemove()` ejbRemove method.
`ProductItemKey[]` | `search(CatalogRequest request, CatalogQuery query)` Returns the results of the search peformed using the supplied catalog query object.
`ViewIterator` | `search(CatalogRequest request, CatalogQuery query, int viewSize)` Returns a ViewIterator over the results of the search peformed using the supplied catalog query object.
`CategoryKey[]` | `searchCategories(CatalogRequest request, CatalogQuery query)` Returns the results of the search peformed using the supplied catalog query object for categories.
`void` | `setSessionContext(SessionContext ctx)` setSessionContext method.

Methods inherited from class com.beasys.commerce.ebusiness.catalog.service.CatalogServiceImpl
`getCatalogManager, getCatalogManagerJndiName, validateAuthorization`

Methods inherited from class com.beasys.commerce.foundation.SessionImpl
`clearRelationalBinding, clearRelationalBinding, clearRelationalBinding, clearRelationalBinding, doRelationalBinding, doRelationalBinding, doRelationalBindingOnElement, doRelationalBindingOnElement, doRelationalBindingOnElement, doRelationalBindingOnSingleton, doRelationalBindingOnSingleton, doRelationalBindingOnSingleton, doRelationalBindingWithMapKey, doRelationalBindingWithMapKey, doRelationalBindingWithMapKey, enumerateRelationalBinding, enumerateRelationalBinding, getEnvironmentNamingContext, getEnvironmentProperty, getEnvironmentProperty, getEnvironmentPropertyCache, getPersistenceHelperPlugin, getSessionContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CatalogQueryManagerImpl

    public CatalogQueryManagerImpl()

Method Detail

### ejbCreate

    public void ejbCreate()
                   throws CreateException

  Description copied from class: `SessionImpl`
  ejbCreate method.

  Overrides:
    `ejbCreate` in class `CatalogServiceImpl`
    `CreateException`

### ejbPostCreate

    public void ejbPostCreate()
                       throws CreateException

  Description copied from class: `SessionImpl`
  ejbPostCreate method.

  Overrides:
    `ejbPostCreate` in class `CatalogServiceImpl`
    `CreateException`

### ejbActivate

    public void ejbActivate()
                     throws EJBException

  Description copied from class: `SessionImpl`
  ejbActivate method.

  Specified by:
    `ejbActivate` in interface `SessionBean`
  Overrides:
    `ejbActivate` in class `CatalogServiceImpl`
    `EJBException`

### ejbPassivate

    public void ejbPassivate()
                      throws EJBException

  Description copied from class: `SessionImpl`
  ejbPassivate method.

  Specified by:
    `ejbPassivate` in interface `SessionBean`
  Overrides:
    `ejbPassivate` in class `CatalogServiceImpl`
    `EJBException`

### ejbRemove

    public void ejbRemove()
                   throws EJBException

  Description copied from class: `SessionImpl`
  ejbRemove method.

  Specified by:
    `ejbRemove` in interface `SessionBean`
  Overrides:
    `ejbRemove` in class `CatalogServiceImpl`
    `EJBException`

### setSessionContext

    public void setSessionContext(SessionContext ctx)
                           throws EJBException

  Description copied from class: `SessionImpl`
  setSessionContext method.

  Specified by:
    `setSessionContext` in interface `SessionBean`
  Overrides:
    `setSessionContext` in class `CatalogServiceImpl`
    `EJBException`

### search

    public ProductItemKey[] search(CatalogRequest request,
                                   CatalogQuery query)
                            throws RemoteException,
                                   CatalogException

  Returns the results of the search peformed using the supplied catalog query object.

  Parameters:
    `request` - The catalog request object.
  Returns:
    An array of product item keys.
  Throws:
    `CatalogException` - on general error.
    `RemoteException`

### searchCategories

    public CategoryKey[] searchCategories(CatalogRequest request,
                                          CatalogQuery query)
                                   throws RemoteException,
                                          CatalogException

  Returns the results of the search peformed using the supplied catalog query object for categories.

  Parameters:
    `request` - The catalog request object.
  Returns:
    An array of category keys.
  Throws:
    `CatalogException` - on general error.
    `RemoteException`

### search

    public ViewIterator search(CatalogRequest request,
                               CatalogQuery query,
                               int viewSize)
                        throws RemoteException,
                               CatalogException

  Returns a ViewIterator over the results of the search peformed using the supplied catalog query object.

  Parameters:
    `request` - The catalog request object.
    `viewSize` - The view size of the returned ViewIterator.
  Returns:
    A ViewIterator over the product items returned by the search.
  Throws:
    `CatalogException` - on general error.
    `RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved